Runtime

## org.eclipse.gmf.runtime.draw2d.ui.text
Class FlowUtilitiesEx

    java.lang.Object
      org.eclipse.draw2d.text.FlowUtilities
          org.eclipse.gmf.runtime.draw2d.ui.text.FlowUtilitiesEx

    public class FlowUtilitiesEx

extends FlowUtilities

This class extends GEF's `FlowUtilities` class to provide mapmode support.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.draw2d.text.FlowUtilities
`INSTANCE`

Constructor Summary
`FlowUtilitiesEx(IMapMode mapmode)` Creates a new instance.

Method Summary
`float` `getAverageCharWidth(TextFragmentBox fragment, Font font)`
`protected Rectangle` `getTextLayoutBounds(java.lang.String s, Font f, int start, int end)`
`protected TextUtilities` `getTextUtilities()`
`void` `setupFragmentEx(TextFragmentBox fragment, Font font, java.lang.String string)` Make public.

Methods inherited from class org.eclipse.draw2d.text.FlowUtilities
`setupFragment, wrapFragmentInContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowUtilitiesEx

    public FlowUtilitiesEx(IMapMode mapmode)

  Creates a new instance.

  Parameters:
    `mapmode` - mapmode to be used for translating measurement units

Method Detail

### getAverageCharWidth

    public float getAverageCharWidth(TextFragmentBox fragment,
                                     Font font)

  Overrides:
    `getAverageCharWidth` in class `FlowUtilities`

### getTextLayoutBounds

    protected Rectangle getTextLayoutBounds(java.lang.String s,
                                            Font f,
                                            int start,
                                            int end)

  Overrides:
    `getTextLayoutBounds` in class `FlowUtilities`

### getTextUtilities

    protected TextUtilities getTextUtilities()

  Overrides:
    `getTextUtilities` in class `FlowUtilities`

### setupFragmentEx

    public void setupFragmentEx(TextFragmentBox fragment,
                                Font font,
                                java.lang.String string)

  Make public.

  See Also:
    `FlowUtilities.setupFragment(TextFragmentBox, Font, String)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.